OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class Node

    java.lang.Object
      org.opennms.netmgt.filter.node.Node

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

Direct Known Subclasses:
  PCompareRight, PExpr, PExprPart, PIpIdent, POctet, PRule, Start, Token

public abstract class Node
extends java.lang.Object
implements Switchable, java.lang.Cloneable

Field Summary
`private Node` `parent`

Constructor Summary
`Node()`

Method Summary
`abstract java.lang.Object` `clone()`
`protected java.util.List` `cloneList(java.util.List list)`
`protected Node` `cloneNode(Node node)`
`Node` `parent()`
`(package private) void` `parent(Node parent)`
`(package private) abstract void` `removeChild(Node child)`
`void` `replaceBy(Node node)`
`(package private) abstract void` `replaceChild(Node oldChild, Node newChild)`
`protected java.lang.String` `toString(java.util.List list)`
`protected java.lang.String` `toString(Node node)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opennms.netmgt.filter.node.Switchable
`apply`

Field Detail

### parent

    private Node parent

Constructor Detail

### Node

    public Node()

Method Detail

### clone

    public abstract java.lang.Object clone()

### parent

    public Node parent()

### parent

    void parent(Node parent)

### removeChild

    abstract void removeChild(Node child)

### replaceChild

    abstract void replaceChild(Node oldChild,
                               Node newChild)

### replaceBy

    public void replaceBy(Node node)

### toString

    protected java.lang.String toString(Node node)

### toString

    protected java.lang.String toString(java.util.List list)

### cloneNode

    protected Node cloneNode(Node node)

### cloneList

    protected java.util.List cloneList(java.util.List list)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.